NANOC(1)

NAME
nanoc - Nanoc, a static site compiler written in Ruby

SYNOPSIS
nanoc command [options] [arguments]

DESCRIPTION
Nanoc is a static site generator, fit for building anything from a small personal blog to a large corporate web site. It can transform content from one format (e.g. Haml or Markdown) into another (usually HTML) and lay out pages so that the site's look and feel is consistent across all pages.

COMMANDS

check
    run issue checks

compile
    compile items of this site

create-site
    create a site

deploy
    deploy the compiled site

help
    show help

prune
    remove files not managed by Nanoc from the output directory

shell
    open a shell on the Nanoc environment

show-data
    show data in this site

show-plugins
    show all available plugins

show-rules
    describe the rules for each item

view
    start the web server that serves static files

OPTIONS

-C, --no-color
    disable color

-V, --verbose
    make nanoc output more detailed

-d, --debug
    enable debugging

<-e>, --env=value
    set environment

-h, --help
    show the help message and quit

-l, --color
    enable color

-v, --version
    show version information and quit

-w, --warn
    enable warnings

AUTHORS
Nanoc has been developed by Denis Defreyne <denis.defreyne@stoneship.org>.